scala.text

# DocBreak

#### object DocBreak extends Document with Product with Serializable

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) This object will be removed.

Source
  Document.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, Document, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DocBreak
2. Serializable
3. Serializable
4. Product
5. Equals
6. Document
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def :/:(hd: String): Document

   Definition Classes
     Document

4. #### def :/:(hd: Document): Document

   Definition Classes
     Document

5. #### def ::(hd: String): Document

   Definition Classes
     Document

6. #### def ::(hd: Document): Document

   Definition Classes
     Document

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def format(width: Int, writer: Writer): Unit

    Format this document on `writer` and try to set line breaks so that the result fits in `width` columns.

    Format this document on `writer` and try to set line breaks so that the result fits in `width` columns.

    Definition Classes
      Document

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Document

### Inherited from AnyRef

### Inherited from Any

### Ungrouped